## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVosObject3D Struct Reference

This interface bridges between a VOS 3D object and the Crystal Space mesh wrapper created for that object. More...

`#include <inetwork/vosa3dl.h>`

Inheritance diagram for iVosObject3D:

[legend]
List of all members.

## Public Member Functions

virtual csRef< iRigidBody > | GetCollider ()=0
| Get the iRigidBody collider for this Object3D.
virtual csRef< iMeshWrapper > | GetMeshWrapper ()=0
| Get the iMeshWrapper for this Object3D.

## Detailed Description

This interface bridges between a VOS 3D object and the Crystal Space mesh wrapper created for that object.

Bug:
  presently this isn't very useful since nothing yet returns this interface. Obviously that will change as the iVosSector interface is fleshed out (or an alternate interface is introduced instead of this...).

Definition at line 63 of file vosa3dl.h.

## Member Function Documentation

virtual csRef<iRigidBody> iVosObject3D::GetCollider | ( |  | ) | `[pure virtual]`

| Get the iRigidBody collider for this Object3D. This can be used to control the forces o the object - useful for avatars This will return no object if there is no iDynamicsSystem registered in the object registry

virtual csRef<iMeshWrapper> iVosObject3D::GetMeshWrapper | ( |  | ) | `[pure virtual]`

| Get the iMeshWrapper for this Object3D.

The documentation for this struct was generated from the following file:

- inetwork/vosa3dl.h